/* ###################################################################
**     Filename    : main.c
**     Project     : example_1
**     Processor   : MC9S08SE8CWL
**     Version     : Driver 01.12
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2023-10-11, 01:05, # CodeGen: 0
**     Abstract    :
**         Main module.
**         This module contains user's application code.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file main.c
** @version 01.12
** @brief
**         Main module.
**         This module contains user's application code.
*/         
/*!
**  @addtogroup main_module main module documentation
**  @{
*/         
/* MODULE main */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "COPFree.h"
#include "PTB.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "LCD_2x16.h"

/* User includes (#include below this line is not maintained by Processor Expert) */

#define PORTB PTBD


void delay_2ms(short int pause)
{   setReg8(RTCMOD, 0xFFU);//Start RTC. 
	while(RTCCNT < pause);
	setReg8(RTCMOD, 0x00);//Clear RTC.
}

void mensaje(void)
{  
	Lcd_Out(1, 6, "HOLA");
	Lcd_Out(2, 6, "MUNDO");
	delay_2ms(251);
	delay_2ms(251);	 
    Lcd_Cmd(LCD_CLEAR);
		 
   Lcd_Out(1, 6, "JM");
   Lcd_Out(2, 6, "PALOMINO");
   delay_2ms(251);
   delay_2ms(251);	
   Lcd_Cmd(LCD_CLEAR);
   
   Lcd_Out(1, 5, "COUNTER");
}
void main(void)
{
  /* Write your local variable definition here */
	
	unsigned int cont=0, i=0;
	char ch[4];
	
  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  COPFree_Init();
  PTB_Init();
  Lcd_Init(); 
  setReg8(RTCSC, 0x43U); //RTC was configured for 2ms.  	
  setReg8(RTCMOD, 0x00U); 
  mensaje(); 
  /*** End of Processor Expert internal initialization.                    ***/

  /* Write your code here */
   
  /* For example: for(;;) { } */
 while(1) { 
	 
      for(cont=0; cont<=1000; cont++) {
    	  ch[0] = cont / 1000;
    	  ch[1] = (cont / 100)%10;
    	  ch[2] = (cont / 10)%10;
    	  ch[3] = cont %10;
    	  
	      for(i=0; i<=3; i++) {  
	        Lcd_One_Chr(2, 6+i, ch[i]+48);
	     } 
	      delay_2ms(251); // 1 seg aprox. 
	      delay_2ms(251);
	}
 } 	 
	 
 
  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** RTOS startup code. Macro PEX_RTOS_START is defined by the RTOS component. DON'T MODIFY THIS CODE!!! ***/
  #ifdef PEX_RTOS_START
    PEX_RTOS_START();                  /* Startup of the selected RTOS. Macro is defined by the RTOS component. */
  #endif
  /*** End of RTOS startup code.  ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END main */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
